Better presentation for 2FA recovery codes
2021-06-08 11:32 - Felix Schafer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour
Target version: 422

Description

The following patch makes the recovery codes a little bigger and avoids using “float™ to present them in 2 columns. It also improves
how some browsers will copy the list, before some browsers would copy the whole list as a long string of all recovery keys

concatenated without spaces between individual keys:

XXXXXXXX XXXXXXXX XXX XXXXXXXX XXXX XXXX....

After the change the browser understands the list better and copies it as a newline-separated list of keys:

XXXX XXXX XXXX
XXXX XXXX XXXX
XXXX XXXX XXXX

The new presentation is also more responsive and will reflow correctly on narrow screens.

Related issues:

Related to Redmine - Feature #1237: Add support for two-factor authentication Closed 2008-05-14

Associated revisions

Revision 21032 - 2021-06-14 08:04 - Go MAEDA
Better presentation for 2FA recovery codes (#35372).

Patch by Felix Schéfer.

Revision 21036 - 2021-06-16 16:07 - Go MAEDA
Merged r21032 from trunk to 4.2-stable (#35372).

History

#1 - 2021-06-08 11:33 - Felix Schéfer
- File 35372.patch added

#2 - 2021-06-09 09:31 - Go MAEDA

- Target version set to 5.0.0

Setting the target version to 5.0.0.

#3 - 2021-06-09 11:10 - Marius BALTEANU

- Related to Feature #1237: Add support for two-factor authentication added

#4 - 2021-06-14 08:05 - Go MAEDA
- Category changed from Ul to Accounts / authentication
- Status changed from New to Closed

- Assignee set to Go MAEDA

2025-05-11

1/2




Committed the patch. Thank you.

#5 - 2021-06-14 23:12 - Marius BALTEANU

Go Maeda, do you see any problem if we deliver this in 4.2.2? Being an improvement of a new feature of 4.2.0.

#6 - 2021-06-15 01:34 - Go MAEDA
- Status changed from Closed to Resolved

- Target version changed from 5.0.0 to 4.2.2

Marius BALTEANU wrote:

Go Maeda, do you see any problem if we deliver this in 4.2.27 Being an improvement of a new feature of 4.2.0.

| didn't backport this fix to 4.2-stable because | thought very few people are currently bothered by the issue, but | think it is OK to include it in 4.2.2.

#7 - 2021-06-16 16:07 - Go MAEDA

- Status changed from Resolved to Closed
